<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_config_t</compoundname>
    <includes local="no">cy_crypto_common.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__config__t_1abef76d6d8c3b14def789a9700ba9389d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_config_t::ipcChannel</definition>
        <argsstring />
        <name>ipcChannel</name>
        <briefdescription>
<para>Defines the IPC channel used for client-server data exchange. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="202" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="202" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1abaea23dcf6f3e7c467646f73b2f9772d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_config_t::acquireNotifierChannel</definition>
        <argsstring />
        <name>acquireNotifierChannel</name>
        <briefdescription>
<para>Specifies the IPC notifier channel (IPC interrupt structure number) to notify server that data for the operation is prepared. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="206" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="206" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1ac0565f33722a6688fa31e0fc134ac0bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_config_t::releaseNotifierChannel</definition>
        <argsstring />
        <name>releaseNotifierChannel</name>
        <briefdescription>
<para>Specifies the IPC notifier channel (IPC interrupt structure number) to notify client that operation is complete and data is valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="210" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="210" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1ab0c85bc368f569f5ded79957fb32b7a8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref></type>
        <definition>cy_stc_sysint_t cy_stc_crypto_config_t::releaseNotifierConfig</definition>
        <argsstring />
        <name>releaseNotifierConfig</name>
        <briefdescription>
<para>Specifies the release notifier interrupt configuration. </para>        </briefdescription>
        <detaileddescription>
<para>It used for internal purposes and user doesn't fill it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="214" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="214" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1a52ff77b99e58e9f238f260a50740be7b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__config__structure_1ga007ebc02b80ed1e6beacc6cb749a2941">cy_crypto_callback_ptr_t</ref></type>
        <definition>cy_crypto_callback_ptr_t cy_stc_crypto_config_t::userCompleteCallback</definition>
        <argsstring />
        <name>userCompleteCallback</name>
        <briefdescription>
<para>User callback function. </para>        </briefdescription>
        <detaileddescription>
<para>If this field is NOT NULL, it called when Crypto operation is complete. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="219" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="219" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1a4130639046fb3a253bf8898f5dc23f7b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
        <definition>cy_israddress cy_stc_crypto_config_t::userGetDataHandler</definition>
        <argsstring />
        <name>userGetDataHandler</name>
        <briefdescription>
<para>Server-side user IRQ handler function, called when data for the operation is prepared to process. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>If this field is NULL, server will use own interrupt handler to get data.</para></listitem><listitem><para>If this field is not NULL, server will call this interrupt handler. This interrupt handler must call the <ref kindref="member" refid="group__group__crypto__srv__functions_1ga247aad529a2ad367f757c4b2aa1995da">Cy_Crypto_Server_GetDataHandler</ref> to get data to process.</para><para>Note: In the second case user should process data separately and clear interrupt by calling <ref kindref="member" refid="group__group__crypto__srv__functions_1gab3a5d2a4bd48f96e41d47117aabdfef6">Cy_Crypto_Server_Process</ref>. This model is used in the multitasking environment. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="233" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="233" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1a0edc56bcfa1323e9fbf2421afbec9f72" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
        <definition>cy_israddress cy_stc_crypto_config_t::userErrorHandler</definition>
        <argsstring />
        <name>userErrorHandler</name>
        <briefdescription>
<para>Server-side user IRQ handler function, called when a Crypto hardware error occurs (interrupt was raised). </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>If this field is NULL - server will use own interrupt handler for error processing.</para></listitem><listitem><para>If this field is not NULL - server will call this interrupt handler. This interrupt handler must call the <ref kindref="member" refid="group__group__crypto__srv__functions_1ga36706e765604590078a2a55c6355b897">Cy_Crypto_Server_ErrorHandler</ref> to clear the interrupt. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="242" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="242" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1abd4789ed2371b4b38395295401248b34" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref></type>
        <definition>cy_stc_sysint_t cy_stc_crypto_config_t::acquireNotifierConfig</definition>
        <argsstring />
        <name>acquireNotifierConfig</name>
        <briefdescription>
<para>Specifies the prepared data notifier interrupt configuration. </para>        </briefdescription>
        <detaileddescription>
<para>It used for internal purposes and user doesn't fill it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="246" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="246" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__config__t_1a41313f24ce9075f5262938072669fea4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref></type>
        <definition>cy_stc_sysint_t cy_stc_crypto_config_t::cryptoErrorIntrConfig</definition>
        <argsstring />
        <name>cryptoErrorIntrConfig</name>
        <briefdescription>
<para>Specifies the hardware error processing interrupt configuration. </para>        </briefdescription>
        <detaileddescription>
<para>It used for internal purposes and user doesn't fill it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="250" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="250" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Crypto configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="72">
        <label>cy_stc_sysint_t</label>
        <link refid="structcy__stc__sysint__t" />
      </node>
      <node id="71">
        <label>cy_stc_crypto_config_t</label>
        <link refid="structcy__stc__crypto__config__t" />
        <childnode refid="72" relation="usage">
          <edgelabel>acquireNotifierConfig</edgelabel>
          <edgelabel>releaseNotifierConfig</edgelabel>
          <edgelabel>cryptoErrorIntrConfig</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="252" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="200" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__config__t_1abaea23dcf6f3e7c467646f73b2f9772d" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>acquireNotifierChannel</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1abd4789ed2371b4b38395295401248b34" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>acquireNotifierConfig</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1a41313f24ce9075f5262938072669fea4" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>cryptoErrorIntrConfig</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1abef76d6d8c3b14def789a9700ba9389d" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>ipcChannel</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1ac0565f33722a6688fa31e0fc134ac0bd" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>releaseNotifierChannel</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1ab0c85bc368f569f5ded79957fb32b7a8" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>releaseNotifierConfig</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1a52ff77b99e58e9f238f260a50740be7b" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>userCompleteCallback</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1a0edc56bcfa1323e9fbf2421afbec9f72" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>userErrorHandler</name></member>
      <member prot="public" refid="structcy__stc__crypto__config__t_1a4130639046fb3a253bf8898f5dc23f7b" virt="non-virtual"><scope>cy_stc_crypto_config_t</scope><name>userGetDataHandler</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>